#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        This lib provides crypto for mails
Name:           libkleo
Version: 16.12.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/

BuildRequires:  kf5-macros
BuildRequires:  boost-devel
BuildRequires:  gpgme-devel >= 1.7.1

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(KF5ItemModels)

%description
This lib provides crypto for mails.

%files
%_kf5_sysconfdir/xdg/libkleopatrarc
%_kf5_sysconfdir/xdg/libkleo.categories
%_kf5_sysconfdir/xdg/libkleo.renamecategories
%_kf5_datadir/libkleopatra

#--------------------------------------------------------------------

%define kf5libkleo_major 5
%define libkf5libkleo %mklibname kf5libkleo_ %{kf5libkleo_major}

%package -n %libkf5libkleo
Summary:        This lib provides crypto for mails
Group:          System/Libraries

%description -n %libkf5libkleo
This lib provides crypto for mails.

%files -n %libkf5libkleo
%_kf5_libdir/libKF5Libkleo.so.%{kf5libkleo_major}*

#--------------------------------------------------------------------

%define kf5libkleo_devel %mklibname kf5libkleo -d

%package -n %kf5libkleo_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5libkleo = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5libkleo_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5libkleo_devel
%_kf5_includedir/Libkleo
%_kf5_includedir/libkleo
%_kf5_includedir/libkleo_version.h
%_kf5_libdir/libKF5Libkleo.so
%_kf5_libdir/cmake/KF5Libkleo
%_qt5_prefix/mkspecs/modules/qt_Libkleo.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang --all %{name}5



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090151
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076893
- New version 16.12.0

* Fri Dec 16 2016 daviddavid <daviddavid> 16.11.90-2.mga6
+ Revision: 1075575
- rebuild against current gpgme 1.8.0

* Wed Dec 07 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1073020
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067405
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061468
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050731
- New version 16.08.1

* Tue Aug 23 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1048014
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040134
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012624
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004412
- New version 16.04.0

* Wed Mar 30 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 996863
- imported package libkleo

